> For the complete documentation index, see [llms.txt](https://docs.kpnthings.com/kpn-things/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-vi.md).

# KPN LocationTag VI

![KPN LocationTag VI](https://portal.kpnthings.com/assets/images/device-types/kpn-locationtag-vi.png)

A 2G/LTE-M device with GPS. Also (wrongly) known as Streamline M2M or Streamline SIM.

* Supported network type(s): `KPNSTREAMLINEM2M`
* Device Specification ID: `kpn-locationtag-vi`
* Device Specification UUID: `6deea70f-ed48-4a87-be99-86fb34570fa7`

| Decoders                                                          | decoderSpecificationUUID               | Description                                                             |
| ----------------------------------------------------------------- | -------------------------------------- | ----------------------------------------------------------------------- |
| › Decoded Streamline M2M data for Asset Recovery application      | `4e93e1d7-8c7e-4f88-9372-68df3c80e759` | Decoder outputting device mode specific for Asset Recovery application. |
| › Decoded Streamline M2M data for Asset Recovery application (v2) | `930f66e9-9e37-5c56-8ebd-0b83553f8cea` | Decoder outputting device mode specific for Asset Recovery application. |
| › Decoded Streamline M2M raw switch, eventID and IO data          | `deea1a29-946c-4f19-bac8-014c7d823394` | Decoder outputting raw switch, eventID and IO data                      |
| › Decoded Streamline M2M raw switch, eventID and IO data (v2)     | `1241bf4d-b34b-5b15-92e9-8602aee00ee3` | Decoder outputting raw switch, eventID and IO data                      |

### › Decoded Streamline M2M data for Asset Recovery application

Decoder outputting device mode specific for Asset Recovery application.

**Expected SenML records**

| name            | type   | unit   |
| --------------- | ------ | ------ |
| accelerationX   | number | m/s2   |
| accelerationY   | number | m/s2   |
| accelerationZ   | number | m/s2   |
| altitude        | number | m      |
| altitudeMargin  | number | m      |
| batteryVoltage  | number | V      |
| firmwareVersion | string | string |
| gpsTime         | number | s      |
| gsmNetworkId    | string | string |
| heading         | number | rad    |
| latitude        | number | lat    |
| longitude       | number | lon    |
| phoneNumber     | string | string |
| radius          | number | m      |
| status          | string | enum   |
| temperature     | number | Cel    |
| velocity        | number | m/s    |

### › Decoded Streamline M2M data for Asset Recovery application (v2)

Decoder outputting device mode specific for Asset Recovery application.

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name            | type   | unit | example              | description |
| --------------- | ------ | ---- | -------------------- | ----------- |
| batteryVoltage  | number | V    | `3.59`               |             |
| firmwareVersion | string |      | `"474"`              |             |
| gpsTime         | number | s    | `1702370090.24`      |             |
| heading         | number | rad  | `0.7148868616168774` |             |
| latitude        | number | lat  | `51.90717`           |             |
| longitude       | number | lon  | `4.48940`            |             |
| radius          | number | m    |                      |             |
| status          | string |      |                      |             |
| temperature     | number | Cel  | `18.875`             |             |
| velocity        | number | m/s  |                      |             |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

```json
[
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 3.8,
        "bn": "urn:dev:IMEI:999999999000090:",
        "bt": 1664818024.4
    },
    {
        "n": "firmwareVersion",
        "vs": "723"
    },
    {
        "n": "gpsTime",
        "u": "s",
        "v": 1702370090.24
    },
    {
        "n": "status",
        "vs": "UNDEFINED"
    },
    {
        "n": "temperature",
        "u": "Cel",
        "v": -60
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 3.62,
        "bn": "urn:dev:IMEI:999999999000090:",
        "bt": 1664810824.4
    },
    {
        "n": "firmwareVersion",
        "vs": "474"
    },
    {
        "n": "gpsTime",
        "u": "s",
        "v": 1664810842.4
    },
    {
        "n": "heading",
        "u": "rad",
        "v": 0.7148868616168774
    },
    {
        "n": "latitude",
        "u": "lat",
        "v": 51.90717
    },
    {
        "n": "longitude",
        "u": "lon",
        "v": 4.48940
    },
    {
        "n": "radius",
        "u": "m",
        "v": 0
    },
    {
        "n": "status",
        "vs": "UNDEFINED"
    },
    {
        "n": "velocity",
        "u": "m/s",
        "v": 0
    }
]
```

### › Decoded Streamline M2M raw switch, eventID and IO data

Decoder outputting raw switch, eventID and IO data

**Expected SenML records**

| name            | type   | unit   |
| --------------- | ------ | ------ |
| EventDesc       | string | string |
| EventID         | string | string |
| IO              | string | string |
| Switch          | string | string |
| accelerationX   | number | m/s2   |
| accelerationY   | number | m/s2   |
| accelerationZ   | number | m/s2   |
| altitude        | number | m      |
| altitudeMargin  | number | m      |
| batteryVoltage  | number | V      |
| firmwareVersion | string | string |
| gpsTime         | number | s      |
| gsmNetworkId    | string | string |
| heading         | number | rad    |
| latitude        | number | lat    |
| longitude       | number | lon    |
| phoneNumber     | string | string |
| radius          | number | m      |
| status          | string | enum   |
| temperature     | number | Cel    |
| velocity        | number | m/s    |

### › Decoded Streamline M2M raw switch, eventID and IO data (v2)

Decoder outputting raw switch, eventID and IO data

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name            | type   | unit | example               | description |
| --------------- | ------ | ---- | --------------------- | ----------- |
| altitude        | number | m    | `64`                  |             |
| batteryVoltage  | number | V    | `13.18`               |             |
| EventDesc       | string |      | `"Changed direction"` |             |
| EventID         | string |      | `"43"`                |             |
| firmwareVersion | string |      | `"358"`               |             |
| gpsTime         | number | s    | `1948836932.48`       |             |
| heading         | number | rad  | `5.629734035232909`   |             |
| IO              | string |      | `"85"`                |             |
| latitude        | number | lat  | `48.87411`            |             |
| longitude       | number | lon  | `2.29549`             |             |
| radius          | number | m    | `3.3`                 |             |
| status          | string |      | `"PRESALES"`          |             |
| Switch          | string |      | `"0"`                 |             |
| temperature     | number | Cel  | `29.5`                |             |
| velocity        | number | m/s  | `0.16666666666666666` |             |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

```json
[
    {
        "bn": "urn:dev:IMEI:999999999000090:",
        "bt": 1664818024.4,
        "n": "altitude",
        "u": "m",
        "v": 64
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 13.18
    },
    {
        "n": "EventDesc",
        "vs": "Changed direction"
    },
    {
        "n": "EventID",
        "vs": "43"
    },
    {
        "n": "firmwareVersion",
        "vs": "358"
    },
    {
        "n": "gpsTime",
        "u": "s",
        "v": 1948836932.48
    },
    {
        "n": "heading",
        "u": "rad",
        "v": 5.629734035232909
    },
    {
        "n": "IO",
        "vs": "85"
    },
    {
        "n": "latitude",
        "u": "lat",
        "v": 48.87411
    },
    {
        "n": "longitude",
        "u": "lon",
        "v": 2.29549
    },
    {
        "n": "radius",
        "u": "m",
        "v": 3.3
    },
    {
        "n": "status",
        "vs": "PRESALES"
    },
    {
        "n": "Switch",
        "vs": "0"
    },
    {
        "n": "temperature",
        "u": "Cel",
        "v": 29.5
    },
    {
        "n": "velocity",
        "u": "m/s",
        "v": 0.16666666666666666
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-vi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
